<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf8">

        <meta name="viewport" content="user-scalable=no" />
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-touch-fullscreen" content="yes">

        <link href="index.css" rel="stylesheet" />

        <script src="../../build/mobilizing.bundle.js"></script>

        <script src="script.js"></script>

    </head>

    <body>
    </body>
    <script defer>

        async function run(script) {
            console.log(script);
            //usual Mobilizing begining
            const context = new Mobilizing.Context();
            const instance = new script();
            //check the script for the need of user interaction
            if (instance.needsUserInteraction) {
                context.userInteractionDone.setup();
                await context.userInteractionDone.promise;
            }
            context.addComponent(instance);
            context.events.on("setupDone", () => {
                console.log("setupDone");
            });
            const runner = new Mobilizing.Runner({ context, autoPrepare: true });
        }
        run(script);
    </script>
</html>